Bug 485700 - fence_lpar doesn't work with hmc version 3
fence_lpar doesn't work with hmc version 3
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.3
All Linux
high Severity medium
: rc
: ---
Assigned To: Marek Grac
Cluster QE
: HardwareEnablement, TechPreview
Depends On: 485065
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-16 09:07 EST by Marek Grac
Modified: 2016-04-26 09:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: cman-2.0.100-1.el5
Doc Type: Technology Preview
Doc Text:
Cause: Using older than supported HMC with fencing agent Consequences: Fencing does not work Fix: Added support for older HMC Result: HMC version 3 can be fenced Note: LPAR support for cluster-suite in RHEL5.4 is considered TechPreview
Story Points: ---
Clone Of: 485065
Environment:
Last Closed: 2009-09-02 07:07:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marek Grac 2009-02-16 09:07:33 EST
+++ This bug was initially created as a clone of Bug #485065 +++

Description of problem:
fence_lpar uses lssyscfg and chsysstate commands to get/change status of an lpar which are not available in earlier versions of IBM HMC (v3 doesn't work for sure)

How reproducible:
Try to fence an ibm-p4-01 on ppc-tucks.englab.brq.redhat.com

Actual results:
Script fails saying that there is a connection/logon problem

Expected results:
Fence the lpar

Additional info:
Need to add a parameter that will specify the hmc version fence_lpar is used with.
Something like -c 3.5 or -c 6.1 or at least major version (not sure since which one lssyscfg and chsysstate were introduced) to let fence_lpar know which commands to use inside.

--- Additional comment from mgrac@redhat.com on 2009-02-16 09:05:59 EDT ---

Created an attachment (id=332038)
Fencing library

--- Additional comment from mgrac@redhat.com on 2009-02-16 09:06:51 EDT ---

Created an attachment (id=332039)
Fence agent with support for HMC v3

You have to enter '-H 3' to set HMC version.
Comment 4 Marek Grac 2009-05-25 07:12:58 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Cause: Using older than supported HMC with fencing agent
Consequences: Fencing does not work
Fix: Added support for older HMC
Result: HMC version 3 can be fenced
Comment 5 Perry Myers 2009-05-25 09:39:59 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,4 +1,6 @@
 Cause: Using older than supported HMC with fencing agent
 Consequences: Fencing does not work
 Fix: Added support for older HMC
-Result: HMC version 3 can be fenced+Result: HMC version 3 can be fenced
+
+Note: LPAR support for cluster-suite in RHEL5.4 is considered TechPreview
Comment 8 errata-xmlrpc 2009-09-02 07:07:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1341.html

Note You need to log in before you can comment on or make changes to this bug.